#
#  Gnome configuration
#
#  flake.nix
#   ├─ ./hosts
#   │   └─ ./laptop
#   │       └─ default.nix
#   └─ ./modules
#       └─ ./desktop
#           └─ ./gnome
#               └─ default.nix *
#
{ config, lib, user, pkgs, jovian-nixos, ... }:

{
    imports = [ 
      (jovian-nixos + "/modules")
    ];

    jovian = {
        steam = {
          enable = true;
          user = "kabbone";
          autoStart = true;
          desktopSession = "plasma";
        };
        devices.steamdeck = {
            enable = true;
        };
        decky-loader.enable = true;
    };

    hardware.graphics = {
        enable = true;
        enable32Bit = true;
    };

    environment.systemPackages = with pkgs; [
      steamdeck-firmware
    ];

}
